## SoupCookieJarSqlite SoupCookieJarSqlite — SQLite-based Cookie Jar |

## Synopsis

                        SoupCookieJarSqlite;
    SoupCookieJar *     soup_cookie_jar_sqlite_new          (const char *filename,
                                                             gboolean read_only);

    #define             SOUP_COOKIE_JAR_SQLITE_FILENAME

## Object Hierarchy

      GObject
       +----SoupCookieJar
             +----SoupCookieJarSqlite

## Implemented Interfaces

SoupCookieJarSqlite implements SoupSessionFeature.

## Properties

      "filename"                 gchar*                : Read / Write / Construct Only

## Description

SoupCookieJarSqlite is a SoupCookieJar that reads cookies from and writes them to an SQLite file in the new Mozilla format.

## Details

### SoupCookieJarSqlite

    typedef struct _SoupCookieJarSqlite SoupCookieJarSqlite;

### soup_cookie_jar_sqlite_new ()

    SoupCookieJar *     soup_cookie_jar_sqlite_new          (const char *filename,
                                                             gboolean read_only);

Creates a SoupCookieJarSqlite.

`filename` will be read in at startup to create an initial set of cookies. If `read_only` is `FALSE`, then the non-session cookies will be written to `filename` when the 'changed' signal is emitted from the jar. (If `read_only` is `TRUE`, then the cookie jar will only be used for this session, and changes made to it will be lost when the jar is destroyed.)

`filename` : | the filename to read to/write from, or `NULL`
`read_only` : | `TRUE` if `filename` is read-only
Returns : | the new SoupCookieJar

Since 2.26

### SOUP_COOKIE_JAR_SQLITE_FILENAME

    #define SOUP_COOKIE_JAR_SQLITE_FILENAME  "filename"

Alias for the "filename" property. (The cookie-storage filename.)

## Property Details

### The `"filename"` property

      "filename"                 gchar*                : Read / Write / Construct Only

Cookie-storage filename.

Default value: NULL